<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title">
                  {{'equipmentInventoryItemStatus.equipmentFunctionalStatus' | message}}
              </h1>
            </div>
            <div class="modal-body">
                <form id="status-update-form"
                    name="statusUpdateForm"
                    ng-submit="vm.save()">

                    <h2>{{vm.inventoryItem.referenceName}}</h2>

                    <dl class="horizontal-list">
                        <dt>{{'equipmentInventoryItemStatus.facility' | message}}</dt>
                        <dd>{{vm.inventoryItem.facility.name}}</dd>
                        <dt>{{'equipmentInventoryItemStatus.equipmentType' | message}}</dt>
                        <dd>{{vm.inventoryItem.catalogItem.type}}</dd>
                    </dl>

                    <dl class="horizontal-list" id="current-status" ng-if="vm.inventoryItem.functionalStatus">
                        <dt>{{'equipmentInventoryItemStatus.currentStatus' | message}}</dt>
                        <dd class="equipment-inventory-item-status {{vm.getFunctionalStatusClass(vm.inventoryItem.functionalStatus)}}">
                            {{vm.getStatusLabel(vm.inventoryItem.functionalStatus) | message}}
                        </dd>
                    </dl>

                    <fieldset id="update-fieldset" ng-show="vm.userHasRightToEdit">

                        <div class="sub-heading">
                            <h3 class="title">{{'equipmentInventoryItemStatus.updateFunctionalStatus' | message}}</h3>
                        </div>

                        <label for="functional-status" required>
                            {{'equipmentInventoryItemStatus.functionalityStatus' | message}}
                        </label>
                        <select id="functional-status"
                            ng-model="vm.newStatus"
                            ng-options="vm.getStatusLabel(status) for status in vm.statuses"
                            ng-change="vm.clearReasonAndDecommissionDate()"
                            placeholder="{{'equipmentInventoryItemStatus.pickNewFunctionalStatus' | message}}"
                            required>
                        </select>

                        <fieldset ng-if="vm.newStatus && !vm.isFunctioning(vm.newStatus)">
                            <label for="reason">
                                {{'equipmentInventoryItemStatus.reasonNotWorkingOrNotInUse' | message}}
                            </label>
                            <select id="reason"
                                ng-model="vm.reason"
                                ng-options="vm.getReasonLabel(reason) for reason in vm.reasons"
                                required>
                            </select>
                        </fieldset>

                        <fieldset ng-if="vm.isUnserviceable(vm.newStatus)">
                        <label for="decommission-date">
                                {{'equipmentInventoryItemStatus.decommissionDate' | message}}
                            </label>
                            <input id="decommission-date" type="date" ng-model="vm.decommissionDate" required/>
                        </fieldset>
                    </fieldset>
                </form>
            </div>
            <div class="modal-footer">
                <button id="cancel"
                    ng-click="vm.cancel()">{{'equipmentInventoryItemStatus.cancel' | message}}
                </button>

                <button id="update"
                    class="primary"
                    type="submit"
                    form="status-update-form"
                    ng-show="vm.userHasRightToEdit">
                    {{'equipmentInventoryItemStatus.update' | message}}
                </button>
            </div>
        </div>
    </div>
</div>
